# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname PyOpenGL
Name:           python-module-PyOpenGL
Version:        3.0.1
Release:        alt1_6
Summary:        Python bindings for OpenGL
License:        BSD
Group:          System/Libraries
URL:            http://pyopengl.sourceforge.net/
# It was reported in https://bugzilla.redhat.com/show_bug.cgi?id=760366
# that there are some binary blobs in the upstream archive. 
# I'm removing them prior to upload, so the check sums of the uploaded
# and upstream packages will not match. However I'm not changig the 
# source URL since I hope it will be fixed in a next release.
# Upstream bug: https://sourceforge.net/tracker/?func=detail&aid=3451797&group_id=5988&atid=105988
Source0:        http://downloads.sourceforge.net/pyopengl/%{oldname}-%{version}.tar.gz
# Remove shebang from Tk module, since it's not needed
# Upstream bug: https://sourceforge.net/tracker/?func=detail&aid=3287895&group_id=5988&atid=105988
Patch0:         PyOpenGL_shebang.patch
BuildRequires:  python-devel
BuildRequires:  python-module-distribute
BuildArch:      noarch
Requires: freeglut
# in some other repositories this is named python-opengl
Provides:       python-opengl = %{version}-%{release}
Obsoletes:      python-opengl < %{version}-%{release}
Source44: import.info

%description
PyOpenGL is the cross platform Python binding to OpenGL and related APIs. It
includes support for OpenGL v1.1, GLU, GLUT v3.7, GLE 3 and WGL 4. It also
includes support for dozens of extensions (where supported in the underlying
implementation).

PyOpenGL is interoperable with a large number of external GUI libraries
for Python including (Tkinter, wxPython, FxPy, PyGame, and Qt). 


%package Tk
Summary:        %{oldname} OpenGL Tk widget
Group:          System/Libraries
Requires:       tkinter

%description Tk
%{oldname} Togl (Tk OpenGL widget) 1.6 support.

%prep
%setup -q -n %{oldname}-%{version}
%patch0 -p0 

%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root="$RPM_BUILD_ROOT" \
  --prefix="%{_prefix}"
chmod -x %{buildroot}%{python_sitelibdir_noarch}/%{oldname}-%{version}-py?.?.egg-info

%files
%doc license.txt
%{python_sitelibdir_noarch}/*OpenGL*
%exclude %{python_sitelibdir_noarch}/OpenGL/Tk

%files Tk
%{python_sitelibdir_noarch}/OpenGL/Tk

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 3.0.1-alt1_6
- update to new release by fcimport

* Tue Jan 08 2013 Igor Vlasenko <viy@altlinux.ru> 3.0.1-alt1_5
- initial fc import

